Bug 699846 - Cannot query for JBoss product components
Cannot query for JBoss product components
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: JIRABZ
  Show dependency treegraph
 
Reported: 2011-04-26 14:40 EDT by Len DiMaggio
Modified: 2014-10-12 18:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 19:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2011-04-26 14:40:23 EDT
Description of problem:
Cannot query for JBoss product components

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:

1. The data from Jira are there, for example  
https://bz-web2-test.devel.redhat.com/show_bug.cgi?id=711121

2. There is a product category - JBoss Enterprise Application Platform,  
including a list of components  
https://bz-web2-test.devel.redhat.com/describecomponents.cgi?product=JBoss%20Enterprise%20Application%20Platform

3. If I click on the component -  
https://bz-web2-test.devel.redhat.com/buglist.cgi?product=JBoss%20Enterprise%20Application%20Platform&component=EJB&resolution=---

Actual results:
I get undef error - Can't call method "product_obj" on unblessed reference  
at /var/www/html/bugzilla/extensions/ExtraValues/Extension.pm line 164.

Expected results:
It should query by component.

Additional info:
Comment 1 Noura El hawary 2011-05-06 10:09:47 EDT
The test server bz-web2 is under testing and development work at the moment that is why it might not work.. CC'ing sgreen to inform you once the server is back an running
Comment 2 Simon Green 2011-05-09 19:07:14 EDT
(In reply to comment #1)
> The test server bz-web2 is under testing and development work at the moment
> that is why it might not work.. CC'ing sgreen to inform you once the server is
> back an running

Should be fixed an error free. Let me know if there are any further errors.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.